xml-1.3.14: A simple XML library.

Copyright | (c) Galois, Inc. 2007
License | BSD3
Maintainer | Iavor S. Diatchki <diatchki@galois.com>
Stability | provisional
Portability | Basic XML types.
Safe Haskell | Safe
Language | Haskell98

Text.XML.Light.Types

Description

Synopsis

- type Line = Integer
- data Content
  - = Elem Element
  - | Text CData
  - | CRef String
- data Element = Element {
  - elName :: QName
  - elAttribs :: [Attr]
  - elContent :: [Content]
  - elLine :: Maybe Line
  }
- data Attr = Attr {
  - attrKey :: QName
  - attrVal :: String
  }
- data CData = CData {
  - cdVerbatim :: CDataKind
  - cdData :: String
  - cdLine :: Maybe Line
  }
- data CDataKind
  - = CDataText
  - | CDataVerbatim
  - | CDataRaw
- data QName = QName {
  - qName :: String
  - qURI :: Maybe String
  - qPrefix :: Maybe String
  }
- blank_name :: QName
- blank_cdata :: CData
- blank_element :: Element

# Documentation

type Line = Integer Source

A line is an Integer

data Content Source

XML content

Constructors

Elem Element |
Text CData |
CRef String |

Instances

Data Content Source |
Show Content Source |
Node Content Source |
Node [Content] Source |
Node ([Attr], [Content]) Source |
Node ([Attr], Content) Source |
Node (Attr, Content) Source |

data Element Source

XML elements

Constructors

Element |

Fields

elName :: QName
elAttribs :: [Attr]
elContent :: [Content]
elLine :: Maybe Line

Instances

Data Element Source |
Show Element Source |
Node Element Source |
Node [Element] Source |
Node ([Attr], [Element]) Source |
Node ([Attr], Element) Source |
Node (Attr, Element) Source |

data Attr Source

XML attributes

Constructors

Attr |

Fields

attrKey :: QName
attrVal :: String

Instances

Eq Attr Source |
Data Attr Source |
Ord Attr Source |
Show Attr Source |
Node Attr Source |
Node [Attr] Source |
Node ([Attr], [CData]) Source |
Node ([Attr], [Element]) Source |
Node ([Attr], [Content]) Source |
Node ([Attr], String) Source |
Node ([Attr], CData) Source |
Node ([Attr], Element) Source |
Node ([Attr], Content) Source |
Node (Attr, String) Source |
Node (Attr, CData) Source |
Node (Attr, Element) Source |
Node (Attr, Content) Source |

data CData Source

XML CData

Constructors

CData |

Fields

cdVerbatim :: CDataKind
cdData :: String
cdLine :: Maybe Line

Instances

Data CData Source |
Show CData Source |
Node CData Source |
Node [CData] Source |
Node ([Attr], [CData]) Source |
Node ([Attr], CData) Source |
Node (Attr, CData) Source |

data CDataKind Source

Constructors

CDataText | Ordinary character data; pretty printer escapes &, < etc.
CDataVerbatim | Unescaped character data; pretty printer embeds it in <![CDATA[..
CDataRaw | As-is character data; pretty printer passes it along without any escaping or CDATA wrap-up.

Instances

Eq CDataKind Source |
Data CDataKind Source |
Show CDataKind Source |

data QName Source

XML qualified names

Constructors

QName |

Fields

qName :: String
qURI :: Maybe String
qPrefix :: Maybe String

Instances

Eq QName Source |
Data QName Source |
Ord QName Source |
Show QName Source |

blank_name :: QName Source

Blank names

blank_cdata :: CData Source

Blank cdata

blank_element :: Element Source

Blank elements